%global distname pac
%global majorver 4.0

Name:           pacmanager
Version:        4.5.5.7
Release:        7%{?dist}
Summary:        SSH/Telnet GUI connection manager written in Perl/GTK

%if 0%{?mageia}
Group:          Networking/Remote access
%endif

License:        GPLv3+
URL:            http://sourceforge.net/projects/pacmanager/
Source0:        http://sourceforge.net/projects/%{name}/files/%{distname}-%{majorver}/%{distname}-%{version}-all.tar.gz

# Sources from getdeb.net package
Source1:        %{name}-bin
Source2:        %{name}.png

# AppData source
Source3:        pac.appdata.xml

# Patches from getdeb.net
# Patch to have correct info in desktop file
Patch0:         pac-4.5.3.7.2-desktop.patch
# Patch to use system gnome vte module
Patch1:         pac-4.5.5-use_vte_package.patch

# New patches
# Patch to use system KeePass module
Patch2:         pac-4.5.5.7-use_keepass_package.patch


BuildArch:      noarch

# Exclude PAC installation dir from Provides
%global __provides_exclude_from %{_datadir}/pac/lib

# Exclude private Perl modules from Requires (PAC* and TiedTree)
%global __requires_exclude perl\\((PAC|Tied)

# Apply required default Perl autoreqprov filter
%{?perl_default_filter}

BuildRequires:  perl-generators
BuildRequires:  perl-srpm-macros

# Alternate name Provides
Provides:       pac = %{version}-%{release}

# Non-Perl requirements
Requires:       /usr/bin/ftp
Requires:       /usr/bin/sftp
Requires:       /usr/bin/ssh

%if 0%{?fedora} || 0%{?rhel} >= 8 || 0%{?mageia}
Recommends:     /usr/bin/cu
Recommends:     /usr/bin/c3270
Recommends:     /usr/bin/rdesktop
Recommends:     /usr/bin/xfreerdp
Recommends:     /usr/bin/vncviewer
Recommends:     /usr/bin/cu
Recommends:     /usr/bin/autossh
Recommends:     /usr/bin/mosh
Recommends:     /usr/bin/cadaver
Recommends:     /usr/bin/telnet
#Recommends:     /usr/bin/remote-tty
%else
Requires:       /usr/bin/xfreerdp
Requires:       /usr/bin/vncviewer
Requires:       /usr/bin/autossh
Requires:       /usr/bin/mosh
Requires:       /usr/bin/telnet
#Requires:       /usr/bin/remote-tty
%endif


%description
PAC is a telnet/ssh/rsh/etc connection manager/automator written in Perl GTK
aimed at making administrators' lives easier. It provides a GUI to configure
SSH/Telnet connections: users, passwords, EXPECT regular expressions, macros, etc.

%prep
%autosetup -n %{distname} -p1


%build
# Nothing to build

%install
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
mkdir -p %{buildroot}%{_datadir}/appdata
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/pac
mkdir -p %{buildroot}%{_bindir}
install -pm 0755 %{SOURCE1} %{buildroot}%{_bindir}/pac
install -pm 0644 res/pac.1 %{buildroot}%{_mandir}/man1/pac.1
install -pm 0644 res/pac_bash_completion %{buildroot}%{_datadir}/bash-completion/completions/pac
install -pm 0644 res/pac.desktop %{buildroot}%{_datadir}/applications
install -pm 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/pac.png
cp -R {lib,res,pac} %{buildroot}%{_datadir}/pac

install -pm 0644 %{SOURCE3} %{buildroot}%{_datadir}/appdata/pac.appdata.xml

# Remove all the extraneous stuff
rm -vf %{buildroot}%{_datadir}/pac/res/*.desktop
rm -vf %{buildroot}%{_datadir}/pac/res/*.1

# Remove SVN garbage
find %{buildroot} -type d -name ".svn" | xargs rm -rfv

# Remove bundled vte libraries
rm -rfv %{buildroot}%{_datadir}/pac/lib/ex/vte*
rm -fv %{buildroot}%{_datadir}/pac/lib/ex/KeePass.pm


# Scriptlets for icon cache
%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%license LICENSE
%doc README
%{_bindir}/pac
%{_datadir}/appdata/pac.appdata.xml
%{_datadir}/applications/pac.desktop
%{_datadir}/bash-completion/completions/pac
%{_datadir}/man/man1/pac.1.*
%{_datadir}/pac/lib/PACCluster.pm
%{_datadir}/pac/lib/PACConfig.pm
%{_datadir}/pac/lib/PACEdit.pm
%{_datadir}/pac/lib/PACGlobalVarEntry.pm
%{_datadir}/pac/lib/PACKeePass.pm
%{_datadir}/pac/lib/PACMain.pm
%{_datadir}/pac/lib/PACPCC.pm
%{_datadir}/pac/lib/PACPipe.pm
%{_datadir}/pac/lib/PACScreenshots.pm
%{_datadir}/pac/lib/PACScripts.pm
%{_datadir}/pac/lib/PACStatistics.pm
%{_datadir}/pac/lib/PACTerminal.pm
%{_datadir}/pac/lib/PACTray.pm
%{_datadir}/pac/lib/PACTrayUnity.pm
%{_datadir}/pac/lib/PACUtils.pm
%{_datadir}/pac/lib/edit/PACExecEntry.pm
%{_datadir}/pac/lib/edit/PACExpectEntry.pm
%{_datadir}/pac/lib/edit/PACMethod.pm
%{_datadir}/pac/lib/edit/PACPrePostEntry.pm
%{_datadir}/pac/lib/edit/PACTermOpts.pm
%{_datadir}/pac/lib/edit/PACVarEntry.pm
%{_datadir}/pac/lib/ex/PACTree.pm
%{_datadir}/pac/lib/ex/TiedTree.pm
%{_datadir}/pac/lib/method/PACMethod_3270.pm
%{_datadir}/pac/lib/method/PACMethod_cadaver.pm
%{_datadir}/pac/lib/method/PACMethod_cu.pm
%{_datadir}/pac/lib/method/PACMethod_ftp.pm
%{_datadir}/pac/lib/method/PACMethod_generic.pm
%{_datadir}/pac/lib/method/PACMethod_mosh.pm
%{_datadir}/pac/lib/method/PACMethod_rdesktop.pm
%{_datadir}/pac/lib/method/PACMethod_remote_tty.pm
%{_datadir}/pac/lib/method/PACMethod_sftp.pm
%{_datadir}/pac/lib/method/PACMethod_ssh.pm
%{_datadir}/pac/lib/method/PACMethod_telnet.pm
%{_datadir}/pac/lib/method/PACMethod_tigervnc.pm
%{_datadir}/pac/lib/method/PACMethod_vncviewer.pm
%{_datadir}/pac/lib/method/PACMethod_xfreerdp.pm
%{_datadir}/pac/lib/pac_conn
%{_datadir}/pac/pac
%{_datadir}/pac/res/pac.glade
%{_datadir}/pac/res/pac.yml
%{_datadir}/pac/res/pac24x24.png
%{_datadir}/pac/res/pac256x256.jpg
%{_datadir}/pac/res/pac64x64.png
%{_datadir}/pac/res/pac_banner_cluster.png
%{_datadir}/pac/res/pac_banner_edit.png
%{_datadir}/pac/res/pac_banner_preferences.png
%{_datadir}/pac/res/pac_banner_scripts.png
%{_datadir}/pac/res/pac_banner_wol.png
%{_datadir}/pac/res/pac_bash_completion
%{_datadir}/pac/res/pac_chain.png
%{_datadir}/pac/res/pac_cluster_auto.png
%{_datadir}/pac/res/pac_cluster_manager.png
%{_datadir}/pac/res/pac_cluster_manager2.png
%{_datadir}/pac/res/pac_cluster_manager_off.png
%{_datadir}/pac/res/pac_drag_terminal32x32.png
%{_datadir}/pac/res/pac_dumb_guy.svg
%{_datadir}/pac/res/pac_favourite_off.png
%{_datadir}/pac/res/pac_favourite_on.png
%{_datadir}/pac/res/pac_group.png
%{_datadir}/pac/res/pac_group_add_16x16.png
%{_datadir}/pac/res/pac_group_closed_16x16.png
%{_datadir}/pac/res/pac_group_open_16x16.png
%{_datadir}/pac/res/pac_history.png
%{_datadir}/pac/res/pac_keepass.png
%{_datadir}/pac/res/pac_method_3270.jpg
%{_datadir}/pac/res/pac_method_cadaver.png
%{_datadir}/pac/res/pac_method_cu.jpg
%{_datadir}/pac/res/pac_method_ftp.jpg
%{_datadir}/pac/res/pac_method_generic.jpg
%{_datadir}/pac/res/pac_method_mosh.png
%{_datadir}/pac/res/pac_method_rdesktop.jpg
%{_datadir}/pac/res/pac_method_remote-tty.jpg
%{_datadir}/pac/res/pac_method_sftp.jpg
%{_datadir}/pac/res/pac_method_ssh.jpg
%{_datadir}/pac/res/pac_method_telnet.jpg
%{_datadir}/pac/res/pac_method_vncviewer.jpg
%{_datadir}/pac/res/pac_node_add_16x16.png
%{_datadir}/pac/res/pac_prompt.png
%{_datadir}/pac/res/pac_protected.png
%{_datadir}/pac/res/pac_quick_connect.png
%{_datadir}/pac/res/pac_script.png
%{_datadir}/pac/res/pac_shell.png
%{_datadir}/pac/res/pac_tab.png
%{_datadir}/pac/res/pac_terminal16x16.png
%{_datadir}/pac/res/pac_terminal64x64.png
%{_datadir}/pac/res/pac_terminal_x16x16.png
%{_datadir}/pac/res/pac_terminal_x64x64.png
%{_datadir}/pac/res/pac_tray.png
%{_datadir}/pac/res/pac_tray_bw.png
%{_datadir}/pac/res/pac_tray_bw.png.2
%{_datadir}/pac/res/pac_treelist.png
%{_datadir}/pac/res/pac_unprotected.png
%{_datadir}/pac/res/pac_wol.png
%{_datadir}/pac/res/sample1.pl
%{_datadir}/pac/res/sample2.pl
%{_datadir}/pac/res/sample3.pl
%{_datadir}/pac/res/sample4.pl
%{_datadir}/pac/res/termcap
%{_datadir}/pixmaps/pac.png


%changelog
* Thu Sep 15 2016 Neal Gompa <ngompa13@gmail.com> - 4.5.5.7-7
- Add Group for Mageia

* Thu Sep 15 2016 Neal Gompa <ngompa13@gmail.com> - 4.5.5.7-6
- Remove remote-tty requirement
- Convert to using file requires
- Add gtk icon cache scriptlets

* Wed Feb 10 2016 Neal Gompa <ngompa13@gmail.com> - 4.5.5.7-5
- Unbundled File::KeePass

* Wed Feb 10 2016 Neal Gompa <ngompa13@gmail.com> - 4.5.5.7-4
- Fix requirement for /usr/bin/ssh

* Wed Feb 10 2016 Neal Gompa <ngompa13@gmail.com> - 4.5.5.7-3
- Fix requirement for /usr/bin/cu

* Thu Feb  4 2016 Neal Gompa <ngompa13@gmail.com> - 4.5.5.7-2
- Set up proper filters for auto requires and provides
- Add alternate name Provides

* Sat Jan 30 2016 Neal Gompa <ngompa13@gmail.com> - 4.5.5.7-1
- Initial packaging (derived from getdeb.net pac package)
